<?php

function commerce_refunds_views_data_alter(array &$data) {
  $data['commerce_order']['commerce_refunds'] = [
    'title' => t('Refund application'),
    'field' => [
      'title' => t('Refund application'),
      'help' => t('Refund application for order views'),
      'id' => 'commerce_refunds_refund_application',
    ],
  ];
  $data ['commerce_order']['order_id']['relationship'] =  array(
    'base' => 'commerce_refund_record_field_data', // The name of the table to join with.
    'base field' => 'order_id', // The name of the field on the joined table.
    'id' => 'standard',
    'label' => t('Refund record'),
    'title' => t('Refund record'),
  );
}
