<?php

namespace Drupal\commerce_logistics\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * @see \Drupal\commerce_logistics\LogisticsQueryPluginManager
 * @see plugin_api
 *
 * @Annotation
 */
class LogisticsQuery extends Plugin {

  /**
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * @var string
   *
   * 0--Hand-printed;
   * 1--Logistics company aggregation platform;
   * Company code--Open platform for single logistics company.
   *
   */
  public $type;

}
